<template>
	<div class=" bg-inicio">
		<div class=" content-inicio-curso">
			<div class="modal">
				<div class="content-session">
					<span class="content-session-detail ">Lograste un <b> {{ result }} </b>% de respuestas correctas</span><br>
					<span class="content-session-inicio red"> Inténtalo una vez más </span> <br>
					
					<div class="icon-inicio">
						<i class="ti-face-sad"></i>
					</div>
					
					<a  class="close-btn red-btn-close waves-effect waves-light" @click.prevent="close()">
					<i class="ti-close"></i>
					</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import {mapGetters, mapActions} from 'vuex'
	import api from '../../../api'
	export default {
  		methods : {
  			...mapActions(['closeModal', 'toggleComponentStatus', 'updateCourseAssigned']),
  			close(){
				  if (this.session.type == 'quiz') {
					  
					  						
  					let data = {	
	 		      			weeks 	: this.course.content.weeks,
	 		      			session : this.session
					  }
					
					this.closeModal(data)
					this.toggleComponentStatus()

					  if(!this.isPreview){
							location.reload();
						}
				  }

				else {
				  let course = {
							grade: this.quizResult,
							evaluation_type: this.session.type,
							user_assignment_id: this.course.id,
							week: this.courseInfo.week.split(' ').pop() ? this.courseInfo.week.split(' ').pop() : -1
						}
						
					  if(!this.isPreview){
							api.storeEvaluationGrade(course)
						}
						
  					let data = {	
	 		      			weeks 	: this.course.content.weeks,
	 		      			session : this.session
					  }
					
					this.closeModal(data)
					this.toggleComponentStatus()
						if(!this.isPreview){
							this.updateCourseAssigned(this.course)	
						}
					}
  			},
  		},
  		props: ['value'],
  		computed: {
  			...mapGetters([
					'session',
					'quizResult',
					'isPreview',
					'course',
					'courseInfo'
				]),
  			result(){
  				return this.value != 100 ? this.value.toString().substr(0,2) : this.value
  			}
  		}
	}
</script>

